package wechat

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb/controller/response"
	response2 "hongze/hongze_yb/models/response"
	"hongze/hongze_yb/services/user"
	"hongze/hongze_yb/services/wechat"
	"hongze/hongze_yb/services/wx_app"
)

func GetQrCode(c *gin.Context) {
	//wxApp := wx_app.GetWxApp()
	//response.OkData("获取成功", qrCode, c)
}

func GetUserInfo(c *gin.Context) {
	openid := `oN0jD1S3P-FVosLhq-YiVOXldtRo`
	userInfo, err := wechat.GetUserInfo(openid)
	if err != nil {
		response.Fail("获取失败，Err:"+err.Error(), c)
		return
	}
	response.OkData("获取成功", userInfo, c)
}

func GetUserSession(c *gin.Context) {
	code, _ := c.GetQuery("code")
	//c.Sho
	//fmt.Println(c.Request.)
	userInfo, err := wx_app.GetSession(code)
	if err != nil {
		response.Fail("获取失败，Err:"+err.Error(), c)
		return
	}
	response.OkData("获取成功", userInfo, c)
}

func Login(c *gin.Context) {
	//code, _ := c.GetQuery("code")
	code := c.DefaultQuery("code", "")
	wxUserInfo, err := wx_app.GetSession(code)
	if err != nil {
		response.Fail("获取失败，Err:"+err.Error(), c)
		return
	}
	token, userId, firstLogin, err := user.WxLogin(wx_app.WxPlatform, wxUserInfo)
	if err != nil {
		response.Fail("登录失败，Err:"+err.Error(), c)
		return
	}

	response.OkData("获取成功", response2.LoginResp{
		UserId:        userId,
		FirstLogin:    firstLogin,
		Authorization: token,
	}, c)
}
