package yb_activity

import (
	"errors"
	"hongze/hongze_yb/global"
	"hongze/hongze_yb/utils"
)

func GetPageListByWhereMap(where map[string]interface{}, page int, limit int) (activities []*YbActivity, err error) {
	condition, values, buildErr := utils.WhereBuild(where)
	if buildErr != nil {
		err = errors.New("系统异常，生成查询语句失败")
		return
	}
	err = global.DEFAULT_MYSQL.Where(condition, values...).Limit(limit).Offset((page - 1) * limit).Find(&activities).Error
	return
}