package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb/controller/activity"
	"hongze/hongze_yb/middleware"
)

func InitActivity(r *gin.Engine) {
	rGroup := r.Group("activity").Use(middleware.Token())

	{
		rGroup.GET("/getPageList", activity.GetPageList)
	}
}
