package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb/controller/user"
	"hongze/hongze_yb/middleware"
)

func InitUser(r *gin.Engine) {
	rGroup := r.Group("user").Use(middleware.TokenNoLogin())

	rGroup.POST("/login", user.Login)
}
