package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb/controller/wechat"
)

func InitWechat(r *gin.Engine) {
	rGroup := r.Group("wechat")

	{
		rGroup.GET("/qrCode", wechat.GetQrCode)
		rGroup.GET("/userInfo", wechat.GetUserInfo)
		rGroup.GET("/session", wechat.GetUserSession)
		rGroup.GET("/login", wechat.Login)

	}
}
